some error messages about colorbox

+1
0
-1

Hi,
I just installed tb_rave (fresh install, profile installation in a completely fresh drupal subdomain installation & database) with a few problems that might be minor or not. I would like to resolve them before I populate my site.

(a) In modules -> other -> colorbox I get a red line message
Requires: Libraries (2.x) (incompatible with version 7.x-1.0-beta1)
I thought it would be not be something serious until (look c, below)
Should I do something about that?

(b) in any administrator page I get the error message
Notice: Undefined index: drupal in update_requirements() (line 35 of /var/www/vhosts/mysite.gr/info.mysite.gr/modules/update/update.install).

I checked around in the internet and saw that this error will be eliminated either this way (https://www.drupal.org/node/2009600#comment-7499580) or by upgrading drupal core. Should you propose one or other step?

(c) and most important. My installation has 7.19 core and of course I should upgrade to 7.31 as soon as possible. This I tried but got errors concerning (a) above which I couldn't resolve. Is there something wrong?

Thanks in advance (and btw, thanks for offering us profile installation of these nice themes for free)
Nikos

+1
0
-1

(b) is solved. It was not important anyway. I am not sure, but I guess it was solved when I installed nucleus 7.x - 1.5.

The important problem is (a) & (c) I posted above, because when I try to run my.site.com/update.php I can't proceed at all (see attached pic)